Add details of a person to a case.

Sample request:

POST /cases/979989d9-s0m3-4253-9u1d-9f94adb00493/people/979989d8-s0m3-4253-9u1d-9f94adb00494
{
"executorStatus": "Sole";
"childStatus": "Biological";
"roles": [
"Executor",
"Child"
],
"title": null,
"firstName": "Joe",
"lastName": "Tester",
"middleName": null,
"otherNames": null,
"relationshipToDeceased": "BiologicalChild";
"otherRelationshipToDeceased": null;
"dateOfBirth": 1990-07-19T00:00:00Z,
"dateOfDeath": null,
"contactNumber": null,
"emailAddress": null,
"occupation": null,
"niNumber": null,
"address": {
"postcode": "AB1 2BA",
"streetName": "Example Street",
"buildingNumber": "8",
"buildingNameOrFlatNumber": null,
"city": "Example City"
},
"notes": null,
"isDeleted": false,
"bankDetails": {
"name": "Bank of Scotland",
"nameOnAccount": "Joe G Tester",
"accountNumber": "12345678",
"sortCode": "11-22-33"
}
}

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
uuid
required
Body Params
roles
array of objects | null
required
roles*
enum
required
Allowed:
string | null
required
string
required
length between 0 and 100
string
required
length between 0 and 100
string | null
required
otherNames
array of strings | null
required

Up to 20

otherNames*
enum
required
string | null
required
string | null
required

must be a past date The value must be less than or equal to today.

string | null
required

must be a past date The value must be less than or equal to today.

string | null
required
^[0-9]{5,12}$
string | null
required
string | null
required
string | null
required
^([abceghj-prstw-zABCEGHJ-PRSTW-Z]{2}[0-9]{2}[0-9]{2}[0-9]{2}[a-dfmA-DFM]{1,1})|([abceghj-prstw-zABCEGHJ-PRSTW-Z]{2} ?[0-9]{2} [0-9]{2} [0-9]{2} [a-dfmA-DFM]{1,1})$
address
object
required
string | null
required
bankDetails
object
required
boolean | null
required

must be only one signing executor per case

string | null
required

must be a past date The value must be less than or equal to today.

string | null
required
entitlement
object
required
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

404

Not Found

Language
Credentials
OAuth2
Required Scopes
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json